Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		gluon
#Epoch:		0
Version:	0.0.0.1
Release:	2
License:	GNU/GPLv2	
URL:		http://gluon.tuxfamily.org/
Group:		System/Libraries
Summary:	KDE 2D game engine
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: automoc4
BuildRequires: eigen2
BuildRequires: phonon-devel

#Automatically resolved build dependencies
BuildRequires: glew-devel
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libogg-devel
BuildRequires: libsndfile-devel
BuildRequires: libsndfile
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: openal-devel
BuildRequires: qt4-devel

%description
Gluon is a cross-platform free and open source 2D game engine from KDE. It aims to make life easier for game developers by providing a simple but powerful API to handle 2D objects, sounds and inputs. 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd
# If this realy needed ?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/gluoncreator
%{_bindir}/gluonplayer
%{_libdir}/gluon/libgluon_asset_sound.so
%{_libdir}/gluon/libgluon_asset_texture.so
%{_libdir}/gluon/libgluon_component_soundemitter.so
%{_libdir}/gluon/libgluon_component_soundlistener.so
%{_libdir}/gluon/libgluon_component_spriterenderer.so
%{_libdir}/gluon/libgluon_asset_script.so
%{_libdir}/gluon/libgluon_component_cameracontroller.so
%{_libdir}/gluon/libgluon_component_keyboardinput.so
%{_libdir}/gluon/libgluon_component_qtscript.so
%{_libdir}/gluon/libgluon_component_textrenderer.so
%{_libdir}/kde4/gluon_creator_dockplugin_componentsdock.so
%{_libdir}/kde4/gluon_creator_dockplugin_messagedock.so
%{_libdir}/kde4/gluon_creator_dockplugin_projectdock.so
%{_libdir}/kde4/gluon_creator_dockplugin_propertiesdock.so
%{_libdir}/kde4/gluon_creator_dockplugin_scenedock.so
%{_libdir}/kde4/gluon_creator_dockplugin_viewwidgetdock.so
%{_libdir}/libGluonAudio.so.0.69.0
%{_libdir}/libGluonCore.so.0.69.0
%{_libdir}/libGluonCreator.so.0.69.0
%{_libdir}/libGluonEngine.so.0.69.0
%{_libdir}/libGluonGraphics.so.0.69.0
%{_libdir}/libGluonInput.so.0.69.0
%{_datadir}/config.kcfg/gluoncreatorsettings.kcfg
%{_datadir}/kde4/apps/gluoncreator/gluoncreatorui.rc
%{_datadir}/kde4/services/gluon_creator_dockplugin_componentsdock.desktop
%{_datadir}/kde4/services/gluon_creator_dockplugin_messagedock.desktop
%{_datadir}/kde4/services/gluon_creator_dockplugin_projectdock.desktop
%{_datadir}/kde4/services/gluon_creator_dockplugin_propertiesdock.desktop
%{_datadir}/kde4/services/gluon_creator_dockplugin_scenedock.desktop
%{_datadir}/kde4/services/gluon_creator_dockplugin_viewwidgetdock.desktop
%{_datadir}/kde4/servicetypes/gluoncreator_plugin.desktop
%{_datadir}/applications/kde4/gluon-creator.desktop
%{_datadir}/icons/hicolor/128x128/apps/gluon_creator.png
%{_datadir}/icons/hicolor/16x16/apps/gluon_creator.png
%{_datadir}/icons/hicolor/24x24/apps/gluon_creator.png
%{_datadir}/icons/hicolor/32x32/apps/gluon_creator.png
%{_datadir}/icons/hicolor/48x48/apps/gluon_creator.png
%{_datadir}/icons/hicolor/64x64/apps/gluon_creator.png

%files devel
%defattr(-,root,root)
%{_includedir}/gluon
%{_libdir}/libGluonAudio.so
%{_libdir}/libGluonCore.so
%{_libdir}/libGluonCreator.so
%{_libdir}/libGluonEngine.so
%{_libdir}/libGluonGraphics.so
%{_libdir}/libGluonInput.so
%{_datadir}/cmake/Modules/FindGluonAudio.cmake
%{_datadir}/cmake/Modules/FindGluon.cmake
%{_datadir}/cmake/Modules/FindGluonCore.cmake
%{_datadir}/cmake/Modules/FindGluonCreator.cmake
%{_datadir}/cmake/Modules/FindGluonEngine.cmake
%{_datadir}/cmake/Modules/FindGluonGraphics.cmake
%{_datadir}/cmake/Modules/FindGluonInput.cmake
#%{_datadir}/gluon/cmake/FindEigen2.cmake
%{_datadir}/gluon/cmake/FindGLEW.cmake
%{_datadir}/gluon/cmake/FindGluonAudio.cmake
%{_datadir}/gluon/cmake/FindGluon.cmake
%{_datadir}/gluon/cmake/FindGluonCore.cmake
%{_datadir}/gluon/cmake/FindGluonCreator.cmake
%{_datadir}/gluon/cmake/FindGluonEngine.cmake
%{_datadir}/gluon/cmake/FindGluonGraphics.cmake
%{_datadir}/gluon/cmake/FindGluonInput.cmake
%{_datadir}/gluon/cmake/FindOggVorbis.cmake
%{_datadir}/gluon/cmake/FindSndFile.cmake

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.1-2
- todays git clone
* Fri Feb 12 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.1-1
- initial CCux package release
